
From: Olaf Hering <olh@suse.de>



Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/sound/ppc/awacs.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN sound/ppc/awacs.c~alsa-build-fix sound/ppc/awacs.c
--- 25/sound/ppc/awacs.c~alsa-build-fix	2004-08-21 13:22:51.984747312 -0700
+++ 25-akpm/sound/ppc/awacs.c	2004-08-21 13:22:51.988746704 -0700
@@ -829,10 +829,10 @@ snd_pmac_awacs_init(pmac_t *chip)
 				snd_pmac_awacs_mixers)) < 0)
 		return err;
 	if (chip->model == PMAC_SCREAMER)
-		err = build_mixers(chip, num_controls(snd_pmac_screamer_mixers2),
+		err = build_mixers(chip, ARRAY_SIZE(snd_pmac_screamer_mixers2),
 				   snd_pmac_screamer_mixers2);
 	else
-		err = build_mixers(chip, num_controls(snd_pmac_awacs_mixers2),
+		err = build_mixers(chip, ARRAY_SIZE(snd_pmac_awacs_mixers2),
 				   snd_pmac_awacs_mixers2);
 	if (err < 0)
 		return err;
_
